Skip to main content
GET
/
channels
/
{channel_id}
/
webhooks
List channel webhooks
curl --request GET \
  --url https://api.fluxer.app/v1/channels/{channel_id}/webhooks \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "guild_id": "<string>",
    "channel_id": "<string>",
    "name": "<string>",
    "token": "<string>",
    "user": {
      "id": "<string>",
      "username": "<string>",
      "discriminator": "<string>",
      "global_name": "<string>",
      "avatar": "<string>",
      "avatar_color": 1073741823,
      "flags": 1073741823,
      "bot": true,
      "system": true
    },
    "avatar": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bot token: Authorization: Bot <token>. This is the primary authentication method for bot applications.

Path Parameters

channel_id
string<snowflake>
required

The ID of the channel

Pattern: ^(0|[1-9][0-9]*)$

Response

Success

id
string
required

The unique identifier (snowflake) for the webhook

Pattern: ^(0|[1-9][0-9]*)$
guild_id
string
required

The ID of the guild this webhook belongs to

Pattern: ^(0|[1-9][0-9]*)$
channel_id
string
required

The ID of the channel this webhook posts to

Pattern: ^(0|[1-9][0-9]*)$
name
string
required

The display name of the webhook

token
string
required

The secure token used to execute the webhook

user
object
required
avatar
string | null

The hash of the webhook avatar image